CSOL(6)

NAME
csol - play solitaire

SYNOPSIS
csol [-ChlmSTv] [-c file] [-s seed] [-t theme] [game]

DESCRIPTION
csol is a small collection of solitaire games.

OPTIONS

-c file, --config=file
    Set the configuration file to use.

-C, --colors
    Display all colors currently available in the terminal. This may be useful when creating themes for csol. Press any key to exit.

-h, --help
    Show a summary of the available command-line options then exit.

-l, --list
    Show a list of available games then exit.

-m, --mono
    Disable all colors.

-s seed, --seed=seed
    Set the seed used for shuffling cards. Must be an integer. By default the current time is used as seed.

-S, --scores
    If no game has been selected, then a table of scores and statistics for all games is shown. If a game has been selected, a list of all scores in that game is shown.

-t theme, --theme=theme
    Set the theme to use for drawing cards. Use --themes to see a list of all available themes.

-T, --themes
    Show a list of available themes then exit.

-v, --version
    Show the csol version then exit.

KEYS

h, j, k, l, Left, Down, Up, Right
    Move cursor left, down, up, or right.

H, L, S-Left, S-Right
    Move cursor to the leftmost or rightmost position.

J, S-Down
    Move cursor to the bottommost position of the pile under the cursor or the topmost visible card of the next pile down if already at the bottommost position.

K, S-Up
    Move cursor to the topmost position of the pile under the cursor or the bottommost card of the next pile up if already at or above the topmost visible card.

Space
    Select the card under the cursor, or - if the card is already selected - move the selected card to a foundation or free cell if possible.

m, Enter, ^J
    Move the selected card to the pile under the cursor.

a   Automatically move a card from any tableau, waste, or cell to a foundation pile if possible.

s   Move a card from the stock to the waste or redeal if stock is empty.

W   Move card from the waste to the pile under the cursor.

1, 2, 3, 4, 5, 6, 7, 8, 9
    Move a card from a cell (in Frecell-style games) to the pile under the cursor.

u, ^Z
    Undo one or more moves.

U, ^Y, ^R
    Redo a move that was previously undone.

Esc, ^[
    Clear the current selection.

^S  Toggle smart cursor, see smart_cursor in the configuration section.

^V  Toggle vertical stabilization of smart cursor, see keep_vertical_position in the configuration section.

^L  Redraw the screen.

r   Shuffle the deck and deal a new game.

F10 Open the menu, use the arrow keys or mnemonics (highlighted letters) to navigate. Press Escape to exit the menu.

q   Exit csol.

MOUSE
In terminals with mouse support it's possible to select cards using the left mouse button (same as Space) and to move cards using the right mouse button (same as m).

EXAMPLES
To play Klondike Solitaire, use the command:

    csol klondike

To display all your Klondike scores, use the command:

    csol -S klondike

CONFIGURATION
The configuration can be changed by creating or editing the file ~/.config/csol/csolrc. A csol configuration file consists of a newline separated list of commands. Most commands expect a single parameter. An example configuration file that loads the system-wide configuration file, and changes the default game to Yukon:

    include /etc/xdg/csol/csolrc
    default_game yukon

The following top level commands are available:

default_game game
    Set the game that is selected by default when csol is run without arguments.

default_Theme theme
    Set the theme that is selected by default when csol is run without the -t option.

scores bit
    Enable (1) or disable (0) the use of a file for keeping track of game scores.

stats bit
    Enable (1) or disable (0) the use of a file for keeping track of game statistics.

scores_file file
    Set the file path used for the scores file.

stats_file file
    Set the file path used for the stats file.

show_score bit
    Enable (1) or disable (0) display of the current score in the bottom left corner of the screen.

smart_cursor bit
    Enable (1) or disable (0) the use of smart cursor movement. When enabled, the cursor will always move to a card.

keep_vertical_position bit
    When enabled, the smart cursor behavior is changed so that the vertical position of the cursor doesn't change when moving horizontally. This means that the cursor doesn't always move to a card when changing horizontal position.

alt_cursor bit
    When enabled, a different style of cursor is used.

include file
    Execute the commands of another configuration file. Useful for including the system-wide configuration (i.e. games and themes) into your local configuration file.

theme_dir directory
    Lazily load themes from directory. When listing themes with -T, all configuration files in directory will be loaded. When playing a game, only the selected theme will be loaded based on its filename.

game_dir directory
    Lazily load games from directory. When listing games with -l, all configuration files in directory will be loaded. When playing a game, only the selected game will be loaded based on its filename.

It's possible to define new games and themes using the csol configuration langauge. For more details, see https://github.com/nielssp/csol.

LINKS
https://github.com/nielssp/csol